Subject: bug#41097: 28.0.50; (dired-toggle-marks) not working after copy

From: Drew Adams <[email-masked]>
Date: Mon, 11 May 2020 10:45:50 -0700 (PDT)

> [background info and some suggestions about menus]

> If I open a file, where in the Tools says "File manager" -- but it
> should in my opinion. ...
> 
> File menu has no such "File manager" menu. Of course I know today that
> I can open directory and I am in dired, but I was opening directory
> even before, and I did not know that I am in dired, all I knew is that
> I can open file for editing, that is what I knew.

I suggest that you use `M-x report-emacs-bug' for
such requests.  That's for enhancement requests as
well as for bug reports.  Saying it here instead
is OK for our info, but it won't be tracked, and
likely won't be followed up as an actual request.

> > I've made quite a few changes to Dired menus in my own
> > code (Dired+).  For one thing, I've separated flagging
> > for deletion from marking otherwise, and I've separated
> > unmarking from both: menus `Flag', `Mark', and `Unmark'.
> > And each of those menus has more items.  And each of them
> > is a submenu of menu `Marks' (flags are marks).
> >
> >
> https://urldefense.com/v3/__https://www.emacswiki.org/emacs/DiredPlus*M
> arksMenu__;Iw!!GqivPVa7Brio!MasXZpDxN0Aqh653P0X2J9UzdtMsJllJnv6FUOk4cNg
> jhclIcRl0zc9F-NvSkDT9$
> 
> I cannot find it in list-packages

There's no package for it.  It's a standalone
Lisp library.

If you want to try it:

At the top of that Dired+ web page you see a link
to the library, `dired+.el'.  Here's its URL:

https://www.emacswiki.org/emacs/dired%2b.el

The Download button there has this URL:

https://www.emacswiki.org/emacs/download/dired%2b.el

Just download it, byte-compile it (optional,
recommended), and load it.

To byte-compile it: `B' in Dired on its line.

To load it: `L' in Dired on its line (or the
dired+.elc line, after byte-compiling it).

To load it systematically, from your init file,
you can put the file's location in your `load-path'
and then put `(require 'dired+)' in your init file.

(Or you can build an autoloads file for it using
`update-file-autoloads', then load that from your
init file.)